Bug 1315903 - Fedora - docker do not build for ppc64 so change ExclusiveArch as bypass
Summary: Fedora - docker do not build for ppc64 so change ExclusiveArch as bypass
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: docker
Version: 27
Hardware: ppc64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker F-ExcludeArch-ppc64le, PPC64LETracker 1182617 1465171 1465174 1465176
TreeView+ depends on / blocked
 
Reported: 2016-03-09 00:14 UTC by Michel Normand
Modified: 2018-11-27 16:59 UTC (History)
18 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-11-27 16:59:48 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 138806 None None None 2016-03-10 10:09 UTC

Description Michel Normand 2016-03-09 00:14:57 UTC
docker do not build for ppc64 as reported by scratch build extract (1)

Because this build failure of ppc64 is blocking the build of ppc64le
on secondary koji, I am requesting with this bug to remove ppc64
as target archi in docker.spec as a bypass at least for fc24 or later.

My proposed spec change is to
=== replace:
ExclusiveArch: %{go_arches}
=== by:
ExclusiveArch: %{ix86} x86_64 %{arm} aarch64 ppc64le s390x %{mips}
===

This is based on go_arches macro from (2)

(1) http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3192877
===
+++ go build -o bundles/1.10.2/dynbinary/dockerinit-1.10.2 -a -tags 'autogen netgo static_build sqlite_omit_load_extension selinux seccomp daemon journald' -installsuffix netgo -ldflags '
		-w
		
		-extldflags "-static" 	' ./dockerinit
_build/src/github.com/docker/docker/daemon/execdriver/native/exec.go:17:2: no buildable Go source files in /builddir/build/BUILD/docker-0f5ac89062e1f80bd87e7db9a94859adf7a188a7/vendor/src/github.com/opencontainers/runc/libcontainer/nsenter
_build/src/github.com/docker/docker/daemon/execdriver/native/seccomp_default.go:9:2: no buildable Go source files in /builddir/build/BUILD/docker-0f5ac89062e1f80bd87e7db9a94859adf7a188a7/vendor/src/github.com/seccomp/libseccomp-golang
error: Bad exit status from /var/tmp/rpm-tmp.b18XcW (%build)
===

(2) http://pkgs.fedoraproject.org/cgit/rpms/go-srpm-macros.git/commit/?id=1d07f0352ebde464347c6dc92532a9d1156c34f3
===
%golang_arches   %{ix86} x86_64 %{arm} aarch64 %{power64}
%gccgo_arches    s390x %{mips}
%go_arches       %{golang_arches} %{gccgo_arches}
===

Comment 1 Jakub Čajka 2016-03-09 08:32:04 UTC
Did you(or somebody) investigated why it fails?
Is there upstream report?

Comment 2 Michel Normand 2016-03-09 08:50:59 UTC
(In reply to Jakub Čajka from comment #1)
> Did you(or somebody) investigated why it fails?
> Is there upstream report?

No I did not investigated myself the details of the failure
but the work done by IBM for RH 7.3 feature https://bugzilla.redhat.com/show_bug.cgi?id=1182617 was only on ppc64le, not ppc64.

Comment 4 Michel Normand 2016-03-10 11:18:00 UTC
Hello Lokesh, 
Would it be possible to make quickly the change in spec file ?
This is a blocker to build ppc64le on secondary architecture.

Comment 5 Lokesh Mandvekar 2016-03-10 13:26:43 UTC
(In reply to Michel Normand from comment #0)

> My proposed spec change is to
> === replace:
> ExclusiveArch: %{go_arches}
> === by:
> ExclusiveArch: %{ix86} x86_64 %{arm} aarch64 ppc64le s390x %{mips}
> ===
> 

I'll add this change for now, let's keep this bug open though.

Comment 6 Lokesh Mandvekar 2016-03-10 13:54:12 UTC
building here: http://koji.fedoraproject.org/koji/taskinfo?taskID=13297206

Comment 7 Lokesh Mandvekar 2016-03-10 15:28:55 UTC
See: http://pkgs.fedoraproject.org/cgit/rpms/docker.git/commit/?h=f24&id=a40eb0a54eb54a4082efb4f0fc25e62c0490580e

Pushed for rawhide and f24 branches.

Comment 8 Mike McCune 2016-03-28 22:57:02 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 9 Fedora Admin XMLRPC Client 2016-06-08 14:09:01 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 10 Jan Kurik 2016-07-26 04:14:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 11 Till Maas 2017-06-26 20:25:25 UTC
(In reply to Jan Kurik from comment #10)
> This bug appears to have been reported against 'rawhide' during the Fedora
> 25 development cycle.
> Changing version to '25'.

I reset the version to Rawhide. Since it block the PPCtracker it is supposed to stay open until docker builds on ppc64 afaiu.

Comment 12 Jan Kurik 2017-08-15 07:07:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 13 Ben Cotton 2018-11-27 16:38:26 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Michel Normand 2018-11-27 16:59:48 UTC
ppc64 (BE) not supported anymore for Fedora since F29, so close the bug.


Note You need to log in before you can comment on or make changes to this bug.